Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sim.util.distribution
Class VonMises

    java.lang.Object
      sim.util.distribution.AbstractDistribution
          sim.util.distribution.AbstractContinousDistribution
              sim.util.distribution.VonMises

All Implemented Interfaces:
  java.io.Serializable

    public class VonMises

extends AbstractContinousDistribution

Von Mises distribution.

Valid parameter ranges: `k > 0`.

Instance methods operate on a user supplied uniform random number generator; they are unsynchronized.

Static methods operate on a default uniform random number generator; they are synchronized.

Implementation:

Method: Acceptance Rejection.
This is a port of `mwc.c` from the C-RAND / WIN-RAND library. C-RAND's implementation, in turn, is based upon

D.J. Best, N.I. Fisher (1979): Efficient simulation of the von Mises distribution, Appl. Statist. 28, 152-157.

See Also:
  Serialized Form

Field Summary
`protected double` | `my_k`

Fields inherited from class sim.util.distribution.AbstractDistribution
`randomGenerator`

Constructor Summary
`VonMises(double freedom, MersenneTwisterFast randomGenerator)` Constructs a Von Mises distribution.

Method Summary
`double` | `nextDouble()` Returns a random number from the distribution.
`double` | `nextDouble(double k)` Returns a random number from the distribution; bypasses the internal state.
`void` | `setState(double k)` Sets the distribution parameter.
`java.lang.String` | `toString()` Returns a String representation of the receiver.

Methods inherited from class sim.util.distribution.AbstractDistribution
`apply, apply, getRandomGenerator, nextInt, setRandomGenerator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### my_k

    protected double my_k

Constructor Detail

### VonMises

    public VonMises(double freedom,
                    MersenneTwisterFast randomGenerator)

  Constructs a Von Mises distribution. Example: k=1.0.

  Throws:
    `java.lang.IllegalArgumentException` - if `k <= 0.0`.

Method Detail

### nextDouble

    public double nextDouble()

  Returns a random number from the distribution.

  Specified by:
    `nextDouble` in class `AbstractDistribution`

### nextDouble

    public double nextDouble(double k)

  Returns a random number from the distribution; bypasses the internal state.

  Throws:
    `java.lang.IllegalArgumentException` - if `k <= 0.0`.

### setState

    public void setState(double k)

  Sets the distribution parameter.

  Throws:
    `java.lang.IllegalArgumentException` - if `k <= 0.0`.

### toString

    public java.lang.String toString()

  Returns a String representation of the receiver.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD